src/mesh/cs_mesh_quality.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
cs_mesh_quality.c File Reference
`#include "cs_defs.h"`
`#include <math.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <assert.h>`
`#include <float.h>`
`#include "bft_mem.h"`
`#include "bft_error.h"`
`#include "bft_printf.h"`
`#include "cs_interface.h"`
`#include "cs_mesh.h"`
`#include "cs_mesh_quantities.h"`
`#include "cs_post.h"`
`#include "cs_mesh_quality.h"`
Include dependency graph for cs_mesh_quality.c:

## Macros
#define | CS_MESH_QUALITY_N_SUBS 10
#define | _CROSS_PRODUCT_3D(cross_v1_v2, v1, v2)
#define | _DOT_PRODUCT_3D(v1, v2)
#define | _MODULE_3D(v) sqrt(v[0]*v[0] + v[1]*v[1] + v[2]*v[2])
#define | _COSINE_3D(v1, v2)

## Functions
void | cs_mesh_quality_compute_warping (const cs_mesh_t *mesh, const cs_real_t i_face_normal[], const cs_real_t b_face_normal[], cs_real_t i_face_warping[], cs_real_t b_face_warping[])
void | cs_mesh_quality (const cs_mesh_t *mesh, const cs_mesh_quantities_t *mesh_quantities)

## Macro Definition Documentation

#define _COSINE_3D | ( |  | v1,
|  |  | v2
| ) |  |

Value:
(\
_DOT_PRODUCT_3D(v1, v2) / (_MODULE_3D(v1) * _MODULE_3D(v2)) )

#define _CROSS_PRODUCT_3D | ( |  | cross_v1_v2,
|  |  | v1,
|  |  | v2
| ) |  |

Value:
( \
cross_v1_v2[0] = v1[1]*v2[2] - v1[2]*v2[1], \
cross_v1_v2[1] = v1[2]*v2[0] - v1[0]*v2[2], \
cross_v1_v2[2] = v1[0]*v2[1] - v1[1]*v2[0] )

#define _DOT_PRODUCT_3D | ( |  | v1,
|  |  | v2
| ) |  |

Value:
( \
v1[0]*v2[0] + v1[1]*v2[1] + v1[2]*v2[2])

#define _MODULE_3D | ( |  | v | ) | sqrt(v[0]*v[0] + v[1]*v[1] + v[2]*v[2])

#define CS_MESH_QUALITY_N_SUBS 10

## Function Documentation

void cs_mesh_quality | ( | const cs_mesh_t * | mesh,
|  | const cs_mesh_quantities_t * | mesh_quantities
| ) |  |

void cs_mesh_quality_compute_warping | ( | const cs_mesh_t * | mesh,
|  | const cs_real_t | i_face_normal[],
|  | const cs_real_t | b_face_normal[],
|  | cs_real_t | i_face_warping[],
|  | cs_real_t | b_face_warping[]
| ) |  |